apt-get install 的LUA为什么SO和头文件是带版本号的?

软件和网站开发以及相关技术探讨
回复
aaadddzxc
帖子: 149
注册时间: 2011-04-30 23:10
送出感谢: 0
接收感谢: 0

apt-get install 的LUA为什么SO和头文件是带版本号的?

#1

帖子 aaadddzxc » 2017-05-01 19:45

我安装的是5.3-dev 版本,哪个版本是不带头文件的? 难道我还要自己去链接一次吗?
头像
AutoXBC
帖子: 1744
注册时间: 2007-10-23 12:54
送出感谢: 2 次
接收感谢: 24 次

Re: apt-get install 的LUA为什么SO和头文件是带版本号的?

#2

帖子 AutoXBC » 2017-05-01 20:51

虽然不懂 lua,不过大致搜索一下就可以得知:lua 不同版本之间是不兼容的,所以显式声明版本号显然是必须的,手动去链接出一个无版本号的库才是画蛇添足。
aaadddzxc
帖子: 149
注册时间: 2011-04-30 23:10
送出感谢: 0
接收感谢: 0

Re: apt-get install 的LUA为什么SO和头文件是带版本号的?

#3

帖子 aaadddzxc » 2017-05-01 21:17

如果我在CENTOS下还要写个MAKEFILE菜行咯?
回复

回到 “软件/网站开发”